/* 
 * time.c
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 *
 * $Revision: 1.3 $
 * $Date: 1996/02/01 15:23:16 $
 * 
 * HISTORY
 * $Log: time.c,v $
 * Revision 1.3  1996/02/01  15:23:16  slm
 * Updated copyright and version.
 *
 * Revision 1.2  1995/08/28  16:16:43  acb
 * Initial revision for x3.3
 *
 * Revision 1.2  1994/11/22  21:23:06  hkaram
 * Removed decl of  gettimeofday
 *
 * Revision 1.1  1994/10/26  20:48:59  hkaram
 * Initial revision
 */

#include "xtime.h"
#include "xsim.h"

void
xGetTime(t)
    XTime *t;
{
    t->sec = xsimCurrentTime/(1000000/xsimTimeGranularity);
    t->usec = (xsimCurrentTime%(1000000/xsimTimeGranularity)*xsimTimeGranularity);
}
