/* 
 * sim_ether_i.h
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 *
 * $Revision: 1.10 $
 * $Date: 1996/01/30 21:00:47 $
 */

#define SIMETH_MAX_INSTANCES	5
#define MAX_ETH_SIZE (EMAXPAK+sizeof(ETHhdr))

#define MAX_ERROR_COUNT 1000

#define RCVBUFSIZE 	50*1024		
#define EMAXPAK 	(MAX_ETH_DATA_SZ + sizeof(ETHhdr))


typedef struct {
    char	*buf;
    int		len;
    int		sock;
} EthMsg;

typedef struct {
    Protl	arp;
    int		sock;
    int		port;
    ETHhost	myHost;
    int		errorCount;
} PState;
