/*
 * sunrpc_error.h
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 *
 * $Revision: 1.1 $
 * $Date: 1996/01/30 22:44:47 $
 */

/*
 * Send the indicated error message to the rpc session's peer
 */
void
sunrpcSendError( int errorCode, Sessn s, void *arg );

/*
 * Send the indicated error message out on the dual of session lls.
 * This should be used when a lower outgoing session has not been allocated.
 */
void
sunrpcSendErrorDual( int errorCode, Sessn lls, struct rpc_msg *hdr );
