/*
 * @COPYRIGHT@
 * 
 * x-kernel v3.3
 * 
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 * 
 * @COPYRIGHT@
 *
 * $RCSfile: scout_trace.c,v $
 *
 * HISTORY
 * $Log: scout_trace.c,v $
 * Revision 1.3  1996/01/30  22:49:51  slm
 * Updated copyright and version.
 *
 * Revision 1.2.1.1  1994/12/02  23:53:14  hkaram
 * New branch
 *
 * Revision 1.2  1994/06/11  00:02:34  menze
 * Added copyright notice
 *
 * Revision 1.1  1994/05/14  23:57:05  davidm
 * Initial revision
 */
#include <stdarg.h>
#include "scout_trace.h"

int scout_trace_level;


void
scout_trace_printf (const char *format, ...)
{
    va_list ap;
    int i;

    for (i = 0; i < scout_trace_level; ++i) {
	putchar(' ');
    } /* for */
    va_start(ap, format);
    vprintf(format, ap);
    va_end(ap);
    putchar('\n');
} /* scout_trace_printf */

			/*** end of scout_trace.c ***/
