/*
 * @COPYRIGHT@
 * 
 * x-kernel v3.3
 * 
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 * 
 * @COPYRIGHT@
 *
 * $RCSfile: scout_util.h,v $
 *
 * HISTORY
 * $Log: scout_util.h,v $
 * Revision 1.1  1996/01/30  22:55:35  slm
 * Initial revision
 *
 * Revision 1.3.1.1  1994/12/03  00:02:37  hkaram
 * New branch
 *
 * Revision 1.3  1994/11/20  01:31:07  davidm
 * scout_panic() and scout_abort() now declared as NORETURN.
 *
 * Revision 1.2  1994/06/11  00:03:07  menze
 * Added copyright notice
 *
 * Revision 1.1  1994/04/21  05:44:14  davidm
 * Initial revision
 */
#ifndef scout_util_h
#define scout_util_h

#include "scout.h"
#include "scout_util_arch.h"

extern void	scout_udelay (long usec);
extern void	scout_panic (const char *last_word) NORETURN;
extern void	scout_abort (const char *format, ...) NORETURN;

#endif /* scout_util_h */
