/*
 * @COPYRIGHT@
 * 
 * x-kernel v3.3
 * 
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 * 
 * @COPYRIGHT@
 *
 * $RCSfile: sscanf.c,v $
 *
 * HISTORY
 * $Log: sscanf.c,v $
 * Revision 1.4  1996/01/30  22:58:00  slm
 * Updated copyright and version.
 *
 * Revision 1.3.1.1  1994/12/03  00:06:22  hkaram
 * New branch
 *
 * Revision 1.3  1994/06/11  00:03:12  menze
 * Added copyright notice
 *
 * Revision 1.2  1994/05/14  23:49:52  davidm
 * Fixed include.
 *
 * Revision 1.1  1994/01/21  23:56:40  davidm
 * Initial revision
 */
#include <stdarg.h>


static int
sgetchar(void *arg)
{
    char **string = (char**)arg;
    int ch;

    ch = **string;
    ++(*string);
    return ch;
} /* sgetchar */


int
sscanf(const char *string, const char *format, ...)
{
    va_list ap;
    int count;

    va_start(ap, format);
    count = _doscan(format, &ap, sgetchar, &string);
    va_end(ap);
    return count;
} /* sscanf */

			/*** end of sscanf.c ***/
