/*
 * $RCSfile: compose_osf1.h,v $
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1994,1996  Arizona Board of Regents
 *
 * $Log: compose_osf1.h,v $
 * Revision 1.2  1996/01/27  00:13:01  slm
 * Updated copyright and version.
 *
 * Revision 1.1  1995/10/17  15:47:03  slm
 * Initial revision
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <strings.h>
#include <sys/types.h>
#include <sys/dir.h>
#define DIRENT direct
#include <sys/stat.h>
#include <sys/file.h>

#if defined(__STDC__) && defined(XK_NEEDS_SYSTEM_PROTOTYPES)

int	unlink( char * );
int	access( char *, int );

/* 
 * System prototypes
 */
void	perror( const char * );
int	printf();
void	bzero( char *, int );
int	_flsbuf();
int	_filbuf();
void	exit( int );
int	fclose( FILE * );
int	fprintf( FILE *, const char *, ... );
int	system( const char * );
char *	mktemp( char * );
int	getopt( int, char * const *, const char * );
void *	malloc( size_t );

#endif /* __STDC__ && XK_NEEDS_SYSTEM_PROTOTYPES */
