/*     
 * $RCSfile: x_libc.h,v $
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 *
 * HISTORY
 * $Log: x_libc.h,v $
 * Revision 1.2  1996/02/01  15:24:25  slm
 * Updated copyright and version.
 *
 * Revision 1.1  1995/07/28  22:49:20  slm
 * Initial revision
 *
 * Revision 1.1  1994/10/26  20:36:21  hkaram
 * Initial revision
 */

/*
 * C library prototypes
 */

#ifndef x_libc_h
#define x_libc_h

#include <string.h>

#ifdef __STDC__


typedef	int (* QSortFunc)(const void *, const void *);

#  ifndef __stdlib_h

int	atoi( const char * );
int	qsort( void *, long unsigned int, long unsigned int, QSortFunc );

#  endif /* __stdlib_h */

void    bcopy( char *, char *, int );
int	bcmp( char *, char *, int );
void    bzero( char *, int );


#else

#  ifndef __stdlib_h

extern void     bcopy();
extern int	bcmp();
extern void     bzero();

#  endif /* __stdlib_h */

#endif /* __STDC__ */

#endif /* ! x_libc_h */
