/*
 * @COPYRIGHT@
 * 
 * x-kernel v3.3
 * 
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 * 
 * @COPYRIGHT@
 *
 * $RCSfile: scout_malloc.h,v $
 *
 * HISTORY
 * $Log: scout_malloc.h,v $
 * Revision 1.1  1996/01/30  22:55:35  slm
 * Initial revision
 *
 * Revision 1.3.1.1  1994/12/03  00:02:28  hkaram
 * New branch
 *
 * Revision 1.3  1994/07/13  01:33:16  dpw
 * Added scout_realloc() routine prototype.
 *
 * Revision 1.2  1994/06/11  00:03:03  menze
 * Added copyright notice
 *
 * Revision 1.1  1994/05/15  00:06:27  davidm
 * Initial revision
 */
#ifndef scout_malloc_h
#define scout_malloc_h

extern void	*scout_malloc (int size);
extern void	*scout_malloc_aligned (int size, int log_alignment);
extern void	scout_free (void *ptr);
extern void	*scout_realloc (void *ptr, int size);
extern void	scout_malloc_expand (void *mem, int size);

#endif /* scout_malloc_h */
